package net.cattaka.rdbassistant.gui.table;

import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.util.ArrayList;

public class PropertyTableUtil {
	public static PropertyTable createPropertyTable(ResultSet rs) throws SQLException {
		PropertyTable result = new PropertyTable();
		ResultSetMetaData rsmd = rs.getMetaData();
		String[] columnNames = new String[rsmd.getColumnCount()];
		int[] columnCharacters = new int[rsmd.getColumnCount()];
		for (int i=0;i<columnNames.length;i++) {
			columnNames[i] = rsmd.getColumnLabel(i+1);
			columnCharacters[i] = 10;
		}
		result.setColumnNames(columnNames);
		result.setColumnCharacters(columnCharacters);
		ArrayList<Object[]> columnValues = new ArrayList<Object[]>();
		while(rs.next()) {
			String[] strArray = new String[columnNames.length];
			for (int i=0;i<strArray.length;i++) {
				strArray[i] = rs.getString(i+1);
			}
			columnValues.add(strArray);
		}
		result.setColumnValues(columnValues);
		return result;
	}
}
