package net.cattaka.rdbassistant.script.core;

import javax.swing.event.TableModelListener;

import net.cattaka.rdbassistant.RdbaConstants;
import net.cattaka.rdbassistant.gui.table.ResultSetTableModel;
import net.cattaka.swing.table.StdStyledCell;

/**
 * ScriptTableをJTable上で表示するためのTableModelです。
 * 
 * @author cattaka
 */
public class ScriptTableModel implements ResultSetTableModel {
	private ScriptTable table;

	public ScriptTableModel(ScriptTable table) {
		this.table = table;
	}
	
	public void addTableModelListener(TableModelListener l) {
		// 無し
	}

	public Class<?> getColumnClass(int columnIndex) {
		return StdStyledCell.class;
	}

	public int getColumnCount() {
		return this.table.getColumnCount();
	}

	public String getColumnName(int columnIndex) {
		return String.valueOf(columnIndex);
	}

	public int getRowCount() {
		return this.table.getRowCount();
	}

	public Object getValueAt(int rowIndex, int columnIndex) {
		return this.table.getCellAt(rowIndex, columnIndex);
	}

	public boolean isCellEditable(int rowIndex, int columnIndex) {
		return false;
	}

	public void removeTableModelListener(TableModelListener l) {
		// 無し
	}

	public void setValueAt(Object value, int rowIndex, int columnIndex) {
		this.table.setCellAt((StdStyledCell)value, rowIndex, columnIndex);
	}

	public int[] getColumnCharacters() {
		int[] columnCharacters = new int[this.table.getColumnCount()];
		for (int i=0;i<columnCharacters.length;i++) {
			columnCharacters[i] = RdbaConstants.MINIMUM_COLUMN_CHARACTERS; 
		}
		return columnCharacters;
	}

	public Class<?> getRowHeaderClass() {
		return String.class;
	}

	public Object getRowName(int row) {
		return String.valueOf(row);
	}

	public String getTableName() {
		return "";
	}

}
