package net.cattaka.swing;

import java.awt.Component;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;

import javax.swing.InputMap;
import javax.swing.JComponent;
import javax.swing.JScrollPane;
import javax.swing.KeyStroke;

public class StdScrollPane extends JScrollPane {
	private static final long serialVersionUID = 1L;

	public StdScrollPane() {
		super();
		initialize();
	}

	public StdScrollPane(Component view, int vsbPolicy, int hsbPolicy) {
		super(view, vsbPolicy, hsbPolicy);
		initialize();
	}

	public StdScrollPane(Component view) {
		super(view);
		initialize();
	}

	public StdScrollPane(int vsbPolicy, int hsbPolicy) {
		super(vsbPolicy, hsbPolicy);
		initialize();
	}

	private void initialize() {
		// CTRL+PgUpとCTRL+PgDnを奪うので削除
		InputMap inputs = this.getInputMap(JComponent.WHEN_ANCESTOR_OF_FOCUSED_COMPONENT);
		KeyStroke ctrlPgUpKey = KeyStroke.getKeyStroke(KeyEvent.VK_PAGE_UP, InputEvent.CTRL_DOWN_MASK);
		inputs.put(ctrlPgUpKey, "None");
		KeyStroke ctrlPgDownKey = KeyStroke.getKeyStroke(KeyEvent.VK_PAGE_DOWN, InputEvent.CTRL_DOWN_MASK);
		inputs.put(ctrlPgDownKey, "None");
	}
}
